import React from 'react';
import ReactDOM from 'react-dom';
import '../../../css/base.less';
import '../../../css/login.less';

import Top from '../../component/portal/top.jsx';
import Content from '../../component/portal/search/achievement.jsx';
import Footer from '../../component/portal/footer.jsx';

ReactDOM.render(
    <div className="wrap">
        <Top active="achievement"/>
        <Content searchType={"achievement"}/>
        <Footer />
    </div>,
    document.getElementById('root')
)