import React from 'react';
import ReactDOM from 'react-dom';
import '../../../css/base.less';

import TopTab from '../../component/account/topTab.jsx';
import Footer from '../../component/account/bottom.jsx';
import Content from '../../component/account/achievement/content.jsx';

ReactDOM.render(
    <div className="wrap clearfix">
        <TopTab active={'achievement'}/>
        <Content />
        <Footer />
    </div>,
    document.getElementById('root')
)