import React from 'react';
import ReactDOM from 'react-dom';
import '../../css/base.less';
import '../../css/login.less';

import LoginTop from '../component/login/loginTop.jsx';
import LoginContent from '../component/login/loginContent.jsx';
import LoginFooter from '../component/login/loginFooter.jsx';

ReactDOM.render(
    <div className="wrap">
        <LoginTop />
        <LoginContent />
        <LoginFooter />
    </div>,
    document.getElementById('root')
)