import React from 'react';
import ReactDOM from 'react-dom';
import '../../css/base.less';

import TopTab from '../component/manageCenter/topTab.jsx';
import Footer from '../component/manageCenter/bottom.jsx';
import Content from '../component/manageCenter/userOrder/content.jsx';

ReactDOM.render(
    <div className="wrap clearfix">
        <TopTab active={'userOrder'}/>
        <Content />
        <Footer />
    </div>,
    document.getElementById('root')
)