import React from 'react';
import { Menu, Icon } from 'antd';
import '../leftTab.less';
const SubMenu = Menu.SubMenu;
const MenuItemGroup = Menu.ItemGroup;


const LeftTab = React.createClass({
    getInitialState() {
        return {
            current: 'base',
        };
    },
    handleClick(e) {
        this.props.handlekey(e.key);
        this.setState({
            current: e.key,
        });
    },
    componentWillMount(){
        if ( window.location.hash ) {
            this.state.current = window.location.hash.substr(1);
        };
    },
    render() {
        return (
            <Menu onClick={this.handleClick}
                selectedKeys={[this.state.current]}
                mode="vertical"
                className="account-left"
                >
                <Menu.Item key="base">
                    基本信息
                </Menu.Item>
                <Menu.Item key="person">
                    个人资料
                </Menu.Item>
                <Menu.Item key="edu">
                    教育信息
                </Menu.Item>
                <Menu.Item key="pfs">
                    职业信息
                </Menu.Item>
                <Menu.Item key="ablt">
                    能力标签
                </Menu.Item>
            </Menu>
        );
    },
});

export default LeftTab;